summaryrefslogtreecommitdiff
path: root/support-files
diff options
context:
space:
mode:
authorJoerg Bruehe <joerg.bruehe@oracle.com>2011-07-07 17:22:24 +0200
committerJoerg Bruehe <joerg.bruehe@oracle.com>2011-07-07 17:22:24 +0200
commitc6669b46d6b3bc885e6dc30916314476def75cf9 (patch)
tree7e563fe223c3c99fbec26a3cd97b77b7a3a47ad4 /support-files
parentbb5e014a2dac3b1e40b3268c6647ceb5d6a335a9 (diff)
downloadmariadb-git-c6669b46d6b3bc885e6dc30916314476def75cf9.tar.gz
Fix bug#45415: "rpm upgrade recreates test database"
Let the creation of the "test" database happen only during a new installation, not in an RPM upgrade.
Diffstat (limited to 'support-files')
-rw-r--r--support-files/mysql.spec.sh16
1 files changed, 13 insertions, 3 deletions
diff --git a/support-files/mysql.spec.sh b/support-files/mysql.spec.sh
index 0baffd5444f..006dea45e64 100644
--- a/support-files/mysql.spec.sh
+++ b/support-files/mysql.spec.sh
@@ -798,13 +798,12 @@ else
fi
# echo "Analyzed: SERVER_TO_START=$SERVER_TO_START"
if [ ! -d $mysql_datadir/mysql ] ; then
- mkdir $mysql_datadir/mysql;
+ mkdir $mysql_datadir/mysql $mysql_datadir/test
echo "MySQL RPM installation of version $NEW_VERSION" >> $STATUS_FILE
else
# If the directory exists, we may assume it is an upgrade.
echo "MySQL RPM upgrade to version $NEW_VERSION" >> $STATUS_FILE
fi
-if [ ! -d $mysql_datadir/test ] ; then mkdir $mysql_datadir/test; fi
# ----------------------------------------------------------------------
# Make MySQL start/shutdown automatically when the machine does it.
@@ -837,7 +836,12 @@ chown -R %{mysqld_user}:%{mysqld_group} $mysql_datadir
# ----------------------------------------------------------------------
# Initiate databases if needed
# ----------------------------------------------------------------------
-%{_bindir}/mysql_install_db --rpm --user=%{mysqld_user}
+if ! grep '^MySQL RPM upgrade' $STATUS_FILE >/dev/null 2>&1 ; then
+ # Fix bug#45415: no "mysql_install_db" on an upgrade
+ # Do this as a negative to err towards more "install" runs
+ # rather than to miss one.
+ %{_bindir}/mysql_install_db --rpm --user=%{mysqld_user}
+fi
# ----------------------------------------------------------------------
# Upgrade databases if needed would go here - but it cannot be automated yet
@@ -1161,6 +1165,12 @@ fi
# merging BK trees)
##############################################################################
%changelog
+* Thu Jul 07 2011 Joerg Bruehe <joerg.bruehe@oracle.com>
+
+- Fix bug#45415: "rpm upgrade recreates test database"
+ Let the creation of the "test" database happen only during a new installation,
+ not in an RPM upgrade.
+ This affects both the "mkdir" and the call of "mysql_install_db".
* Thu Feb 03 2011 Joerg Bruehe <joerg.bruehe@oracle.com>